PHP-инклюдинг в php basic basicFramework

Дата публикации:
25.10.2007
Дата изменения:
28.01.2008
Всего просмотров:
926
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
php basic basicFramework 1.x
Уязвимые версии: php basic basicFramework 1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "root" в сценарии includes.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: fw.phpbasic.com/?basic=topic&id=1

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA